Create Year to Date Report

Create a year-to-date report.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creates a Year-to-date report for specified employees returning gross pay, net pay, taxes, total employer taxes, total employee taxes, deductions for each check associated with the employees as well as a summary of totals for all of the above parameters for all employee checks. Payroll information will only be taken into account for reports from checks that are in a processed state.

This endpoint will return a job_id instead of the raw data itself. As the data returned from this endpoint can be large, we utilize a job queue to process this data instead of an immediate synchronous response. Once the job status is marked as complete, the report can be downloaded using the Download Report endpoint.

Returns

attributetypedescription
successbooleanResponse status
dataobjectjob_id for Year to Date report
errorsarrayContains a list of error objects which consists of:
message: Error message
code: Error code as described in Error codes
Body Params
string
required

The ID of the company

employeeID
array of strings

Array of employee IDs to grab YTD data for. If this field is omitted, or an empty array is provided, then the report will include all employees

employeeID
string
required

The year to query for the report

string
enum
required
Defaults to json

The media_type of the report

Allowed:
boolean
Defaults to false

Include migrated data in the report

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json